libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Classes | Namespaces
signal.h File Reference

Signal & slot implementation. More...

`#include <functional>`
`#include <list>`
`#include <type_traits>`
`#include <libcamera/base/bound_method.h>`
Include dependency graph for signal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | libcamera::Signal< Args >
| Generic signal and slot communication mechanism. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Signal & slot implementation.